| Cantera 3.0.0

Loading...
Searching...
No Matches
Namespaces | Macros | Functions
KineticsFactory.cpp File Reference
`#include "cantera/kinetics/KineticsFactory.h"`
`#include "cantera/kinetics/BulkKinetics.h"`
`#include "cantera/kinetics/GasKinetics.h"`
`#include "cantera/kinetics/InterfaceKinetics.h"`
`#include "cantera/kinetics/EdgeKinetics.h"`
`#include "cantera/thermo/ThermoPhase.h"`
`#include "cantera/base/stringUtils.h"`
`#include "cantera/base/Solution.h"`
`#include <boost/algorithm/string.hpp>`
Include dependency graph for KineticsFactory.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
Kinetics * | newKineticsMgr (const string &model)
| Create a new kinetics manager.
shared_ptr< Kinetics > | newKinetics (const string &model)
| Create a new Kinetics instance.
shared_ptr< Kinetics > | newKinetics (const vector< shared_ptr< ThermoPhase > > &phases, const AnyMap &phaseNode, const AnyMap &rootNode=AnyMap(), shared_ptr< Solution > soln={})
| Create a new kinetics manager, initialize it, and add reactions.
unique_ptr< Kinetics > | newKinetics (const vector< ThermoPhase * > &phases, const AnyMap &phaseNode, const AnyMap &rootNode=AnyMap())
| Create a new kinetics manager, initialize it, and add reactions.
shared_ptr< Kinetics > | newKinetics (const vector< shared_ptr< ThermoPhase > > &phases, const string &filename, const string &phase_name="")
| Create a new kinetics manager, initialize it, and add reactions.
unique_ptr< Kinetics > | newKinetics (const vector< ThermoPhase * > &phases, const string &filename, const string &phase_name)
| Create a new kinetics manager, initialize it, and add reactions.
void | addReactions (Kinetics &kin, const AnyMap &phaseNode, const AnyMap &rootNode=AnyMap())
| Add reactions to a Kinetics object.

## Macro Definition Documentation

## ◆ CT_SKIP_DEPRECATION_WARNINGS

#define CT_SKIP_DEPRECATION_WARNINGS

Definition at line 11 of file KineticsFactory.cpp.